Subject: RE: multiple MGCs controlling same set of terminations in one MG

From: "Rosen, Brian" <[email-masked]>
Date: Fri, 6 Jul 2001 10:19:36 -0400

The issue with standardized multiple MGCs controlling
one MG (same set of terminations) is that you have to
standardize the communications between the MGCs that
keeps the state between them consistant, and you have
to have a mechanism in the MG that deals with failover
and recovery that are more complicated than we had
time and energy to design.

There is no prohibition (and no protocol police in any
event), but it takes co-operation between the MGCs and
between the MG and the MGCs.  That would be proprietary.

Brian

> -----Original Message-----
> From: Ruppelt Christian [mailto:[email-masked]]
> Sent: Friday, July 06, 2001 10:02 AM
> To: 'megaco'
> Subject: multiple MGCs controlling same set of terminations in one MG 
> 
> 
> hi,
> megaco/H.248 chapter 11 says: "While the protocol does not have an 
> explicit mechanism to support multiple MGCs controlling a 
> physical MG, ..."
>  
> I think this does not mean in general, that multiple MGCs 
> contolling a MG
> (e.g. same set of terminations) is a "must not"  in megaco/H.248.
> Am I rigth?
> 
> I think the concept of primary and optionally an ordered list 
> of secondary MGCs
> is allowed to be used to support multiple MGCs controlling 
> same set of terminations in one MG
> 
> best regards 
> Christian Ruppelt   
>